Win32 builds have bloated to 9 megs of code

VERIFIED FIXED

Status

MailNews Core
Backend
P3
normal
VERIFIED FIXED
19 years ago
9 years ago

People

(Reporter: Phil Peterson, Assigned: scottputterman)

Tracking

Trunk
x86
Windows NT

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

19 years ago
Something is wrong in the build system. Let's find out what's going on.

             9/3/99  8/27/99
addrbook     108192  109104
local mail  1285376  115136
compose      994744  129648
mailnews    1056092  122256
mime         872264  111520
imap        1497048  198544
news         931096  103280
db           557540   57696
baseutil     648656   93904
mork         682732  114816
vcard        367172   51024
mimeemitter  287212   38848
total       9288124 1245776
(Assignee)

Comment 1

19 years ago
Phil, are these numbers from a release build.  My debug build currently looks
normal.  Were other dll's bloated? I'll try building a release build to see what
I get.
(Assignee)

Comment 2

19 years ago
I think there may have been some error in the build system because with the
nightly build I downloaded from mozilla.org for 9/4 all of the sizes look
normal, only slightly larger than the week before.  I'm building a release build
now to see if I see any difference, but if not, I'll probably close this out.
(Reporter)

Comment 3

19 years ago
> Phil, are these numbers from a release build

I was looking at
ftp://sweetlou/products/client/seamonkey/windows/32bit/x86/current/
(Assignee)

Updated

19 years ago
Status: NEW → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → FIXED
(Assignee)

Comment 4

19 years ago
I'm going to assume that whatever was going on is fixed.  Going to sweetlou and
looking at the sizematters page for this morning shows that all sizes are as
expected.

Updated

18 years ago
QA Contact: lchiang → ppandit

Comment 5

18 years ago
Par, pls verify.

Updated

18 years ago
Status: RESOLVED → VERIFIED

Comment 6

18 years ago
Based on today's build (11/19/99), the sizes look correct. VERIFIED

-rw-r--r--   1 544      everyone   117568 Nov 19 09:49 addrbook.dll
-rw-r--r--   1 544      everyone   148144 Nov 19 09:59 msgbase.dll
-rw-r--r--   1 544      everyone   134688 Nov 19 09:59 msgcompo.dll
-rw-r--r--   1 544      everyone   115856 Nov 19 09:59 msglocal.dll
-rw-r--r--   1 544      everyone   128592 Nov 19 09:59 mime.dll
-rw-r--r--   1 544      everyone   210432 Nov 19 09:59 msgimap.dll
-rw-r--r--   1 544      everyone   120080 Nov 19 09:59 msgnews.dll
-rw-r--r--   1 544      everyone    62144 Nov 19 09:59 msgdb.dll
-rw-r--r--   1 544      everyone   148144 Nov 19 09:59 msgbase.dll
-rw-r--r--   1 544      everyone   115872 Nov 19 09:59 msgbsutl.dll
-rw-r--r--   1 544      everyone   119872 Nov 19 09:59 mork.dll
-rw-r--r--   1 544      everyone    47264 Nov 19 09:59 vcard.dll
Product: MailNews → Core
Product: Core → MailNews Core
You need to log in before you can comment on or make changes to this bug.